﻿CREATE TABLE [dbo].[CompanyProfilesFinancial] (
    [Id]                                               UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]                                        UNIQUEIDENTIFIER NOT NULL,
    [CurrencyId]                                       UNIQUEIDENTIFIER NOT NULL,
    [ValueConversionId]                                UNIQUEIDENTIFIER NOT NULL,
    [CompanyName]                                      NVARCHAR (256)   NOT NULL,
    [Currency]                                         NVARCHAR (256)   NULL,
    [Units]                                            NVARCHAR (256)   NULL,
    [Year]                                             INT              NOT NULL,
    [Revenues]                                         DECIMAL (19, 4)  NULL,
    [DirectCost]                                       DECIMAL (19, 4)  NULL,
    [CostofProduction]                                 DECIMAL (19, 4)  NULL,
    [CostofSales]                                      DECIMAL (19, 4)  NULL,
    [ResearchandDevelopmentExpenses]                   DECIMAL (19, 4)  NULL,
    [SalesandMarketingCost]                            DECIMAL (19, 4)  NULL,
    [SellingandInformationalandAdministrativeExpenses] DECIMAL (19, 4)  NULL,
    [Depreciation]                                     DECIMAL (19, 4)  NULL,
    [Amortization]                                     DECIMAL (19, 4)  NULL,
    [DepreciationandAmortization]                      DECIMAL (19, 4)  NULL,
    [InterestExpense]                                  DECIMAL (19, 4)  NULL,
    [TaxExpense]                                       DECIMAL (19, 4)  NULL,
    [ProvisionorBenefitforTaxesonIncome]               DECIMAL (19, 4)  NULL,
    [IncomefromContinuingOperations]                   DECIMAL (19, 4)  NULL,
    [NetIncome]                                        DECIMAL (19, 4)  NULL,
    [DilutedEPS]                                       DECIMAL (19, 4)  NULL,
    [WeightedAverageSharesOutstanding]                 DECIMAL (19, 4)  NULL,
    [LongTermDebt]                                     DECIMAL (19, 4)  NULL,
    [ShortTermDebt]                                    DECIMAL (19, 4)  NULL,
    [ShortTermBorrowings]                              DECIMAL (19, 4)  NULL,
    [CurrentPortionofLongTermDebt]                     DECIMAL (19, 4)  NULL,
    [CashandCashEquivalents]                           DECIMAL (19, 4)  NULL,
    [ShortTermInvestments]                             DECIMAL (19, 4)  NULL,
    [MarketableSecurities]                             DECIMAL (19, 4)  NULL,
    [MinorityInterest]                                 DECIMAL (19, 4)  NULL,
    [NonControllingInterests]                          DECIMAL (19, 4)  NULL,
    [LongTermInvestments]                              DECIMAL (19, 4)  NULL,
    [NetcashProvidedbyorUsedinOperatingActivities]     DECIMAL (19, 4)  NULL,
    [NetcashProvidedbyorUsedinInvestingActivities]     DECIMAL (19, 4)  NULL,
    [NetCashProvidedbyorUsedinFinancingActivities]     DECIMAL (19, 4)  NULL,
    [PurchasesofPropertyandPlantandEquipment]          DECIMAL (19, 4)  NULL,
    [PurchaseofFixedAssets]                            DECIMAL (19, 4)  NULL,
    [PurchasesofShortTermInvestments]                  DECIMAL (19, 4)  NULL,
    [PurchasesofLongTermInvestments]                   DECIMAL (19, 4)  NULL,
    [TotalCurrentAssets]                               DECIMAL (19, 4)  NULL,
    [Inventories]                                      DECIMAL (19, 4)  NULL,
    [AccountsReceivables]                              DECIMAL (19, 4)  NULL,
    [TotalCurrentLiabilities]                          DECIMAL (19, 4)  NULL,
    [PropertyandPlantandEquipment]                     DECIMAL (19, 4)  NULL,
    [OtherFixedAssets]                                 DECIMAL (19, 4)  NULL,
    [OtherTangibleAssets]                              DECIMAL (19, 4)  NULL,
    [IntangibleAssets]                                 DECIMAL (19, 4)  NULL,
    [Goodwill]                                         DECIMAL (19, 4)  NULL,
    [OtherNoncurrentLiabilities]                       DECIMAL (19, 4)  NULL,
    [TotalshareholdersEquity]                          DECIMAL (19, 4)  NULL,
    [RetainedEarnings]                                 DECIMAL (19, 4)  NULL,
    [AccumulatedIncomeandReserves]                     DECIMAL (19, 4)  NULL,
    [AccountsPayable]                                  DECIMAL (19, 4)  NULL,
    [PurchasesofFixedAssets]                           DECIMAL (19, 4)  NULL,
    [EffectiveTaxRate]                                 DECIMAL (19, 4)  NULL,
    [TotalPurchases]                                   DECIMAL (19, 4)  NULL,
    [IHc]                                              DECIMAL (19, 4)  NULL,
    [EHc]                                              DECIMAL (19, 4)  NULL,
    [TotalReportableSegments]                          DECIMAL (19, 4)  NULL,
    [UnitedStates]                                     DECIMAL (19, 4)  NULL,
    [DevelopedEurope_a]                                DECIMAL (19, 4)  NULL,
    [DevelopedRestofWorld_b]                           DECIMAL (19, 4)  NULL,
    [EmergingMarkets_c]                                DECIMAL (19, 4)  NULL,
    [TotalGeographicSegments]                          DECIMAL (19, 4)  NULL,
    [CreatedOn]                                        DATETIME2 (7)    NULL,
    [UserCreatedById]                                  UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                                       DATETIME2 (7)    NULL,
    [UserModifiedById]                                 UNIQUEIDENTIFIER NULL,
    [IsDeleted]                                        BIT              NOT NULL,
    [DeletedOn]                                        DATETIME2 (7)    NULL,
    [UserDeletedById]                                  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_CompanyProfilesFinancial] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_CompanyProfilesFinancial_AviraUser] FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyProfilesFinancial_AviraUser1] FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyProfilesFinancial_Company] FOREIGN KEY ([CompanyId]) REFERENCES [dbo].[Company] ([Id]),
    CONSTRAINT [FK_CompanyProfilesFinancial_Currency] FOREIGN KEY ([CurrencyId]) REFERENCES [dbo].[Currency] ([Id]),
    CONSTRAINT [FK_CompanyProfilesFinancial_ValueConversion] FOREIGN KEY ([ValueConversionId]) REFERENCES [dbo].[ValueConversion] ([Id])
);

